From c097a969e895df8448b90737180e1fd7984b73a6 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Mon, 28 Nov 2022 10:30:24 +1100
Subject: [PATCH v7] Remove all stats views from the ToC of 28.2.

This was done by changing all the stats view to have <sect3> instead of <sect2>.
---
 doc/src/sgml/monitoring.sgml | 86 ++++++++++++++++++++++----------------------
 1 file changed, 43 insertions(+), 43 deletions(-)

diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index f7d0c2f..da6de70 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -746,9 +746,7 @@ postgres   27093  0.0  0.0  30096  2752 ?        Ss   11:34   0:00 postgres: ser
    into the kernel's handling of I/O.
   </para>
 
- </sect2>
-
- <sect2 id="monitoring-pg-stat-activity-view">
+ <sect3 id="monitoring-pg-stat-activity-view">
   <title><structname>pg_stat_activity</structname></title>
 
   <indexterm>
@@ -2391,9 +2389,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
 </programlisting>
    </para>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-replication-view">
+ <sect3 id="monitoring-pg-stat-replication-view">
   <title><structname>pg_stat_replication</structname></title>
 
   <indexterm>
@@ -2728,9 +2726,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </para>
   </note>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-replication-slots-view">
+ <sect3 id="monitoring-pg-stat-replication-slots-view">
   <title><structname>pg_stat_replication_slots</structname></title>
 
   <indexterm>
@@ -2877,9 +2875,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-wal-receiver-view">
+ <sect3 id="monitoring-pg-stat-wal-receiver-view">
   <title><structname>pg_stat_wal_receiver</structname></title>
 
   <indexterm>
@@ -3057,9 +3055,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-recovery-prefetch">
+ <sect3 id="monitoring-pg-stat-recovery-prefetch">
   <title><structname>pg_stat_recovery_prefetch</structname></title>
 
   <indexterm>
@@ -3203,9 +3201,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-subscription">
+ <sect3 id="monitoring-pg-stat-subscription">
   <title><structname>pg_stat_subscription</structname></title>
 
   <indexterm>
@@ -3314,9 +3312,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-subscription-stats">
+ <sect3 id="monitoring-pg-stat-subscription-stats">
   <title><structname>pg_stat_subscription_stats</structname></title>
 
   <indexterm>
@@ -3392,9 +3390,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-ssl-view">
+ <sect3 id="monitoring-pg-stat-ssl-view">
   <title><structname>pg_stat_ssl</structname></title>
 
   <indexterm>
@@ -3513,9 +3511,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-gssapi-view">
+ <sect3 id="monitoring-pg-stat-gssapi-view">
   <title><structname>pg_stat_gssapi</structname></title>
 
   <indexterm>
@@ -3588,9 +3586,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-archiver-view">
+ <sect3 id="monitoring-pg-stat-archiver-view">
   <title><structname>pg_stat_archiver</structname></title>
 
   <indexterm>
@@ -3692,9 +3690,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
     archived.
   </para>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-bgwriter-view">
+ <sect3 id="monitoring-pg-stat-bgwriter-view">
   <title><structname>pg_stat_bgwriter</structname></title>
 
   <indexterm>
@@ -3829,9 +3827,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-wal-view">
+ <sect3 id="monitoring-pg-stat-wal-view">
    <title><structname>pg_stat_wal</structname></title>
 
   <indexterm>
@@ -3963,9 +3961,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
-</sect2>
+</sect3>
 
- <sect2 id="monitoring-pg-stat-database-view">
+ <sect3 id="monitoring-pg-stat-database-view">
   <title><structname>pg_stat_database</structname></title>
 
   <indexterm>
@@ -4288,9 +4286,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-database-conflicts-view">
+ <sect3 id="monitoring-pg-stat-database-conflicts-view">
   <title><structname>pg_stat_database_conflicts</structname></title>
 
   <indexterm>
@@ -4391,9 +4389,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-all-tables-view">
+ <sect3 id="monitoring-pg-stat-all-tables-view">
   <title><structname>pg_stat_all_tables</structname></title>
 
   <indexterm>
@@ -4662,9 +4660,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-all-indexes-view">
+ <sect3 id="monitoring-pg-stat-all-indexes-view">
   <title><structname>pg_stat_all_indexes</structname></title>
 
   <indexterm>
@@ -4811,9 +4809,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </para>
   </note>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-statio-all-tables-view">
+ <sect3 id="monitoring-pg-statio-all-tables-view">
   <title><structname>pg_statio_all_tables</structname></title>
 
   <indexterm>
@@ -4947,9 +4945,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-statio-all-indexes-view">
+ <sect3 id="monitoring-pg-statio-all-indexes-view">
   <title><structname>pg_statio_all_indexes</structname></title>
 
   <indexterm>
@@ -5047,9 +5045,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-statio-all-sequences-view">
+ <sect3 id="monitoring-pg-statio-all-sequences-view">
   <title><structname>pg_statio_all_sequences</structname></title>
 
   <indexterm>
@@ -5125,9 +5123,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-user-functions-view">
+ <sect3 id="monitoring-pg-stat-user-functions-view">
   <title><structname>pg_stat_user_functions</structname></title>
 
   <indexterm>
@@ -5215,9 +5213,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
- </sect2>
+ </sect3>
 
- <sect2 id="monitoring-pg-stat-slru-view">
+ <sect3 id="monitoring-pg-stat-slru-view">
   <title><structname>pg_stat_slru</structname></title>
 
   <indexterm>
@@ -5337,6 +5335,8 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
+ </sect3>
+
  </sect2>
 
  <sect2 id="monitoring-stats-functions">
-- 
1.8.3.1

